<!DOCTYPE html>
<html>
    <head>
<?php


    include('./db_config.php');
    include('./db_client.php');
    include('./functions.php');
    include('./author.class.php');
    include('./article.class.php');
    
    $article = DB_get_article($_GET['id']);
    $keywords = explode(";", $article->kljucna);
    $url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]";
?>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="google-site-verification" content="-_Rp_RiQRx2OhkYdU0oy26Jx4PVEi4aMjp6nv8xzmx8" />
    <meta name="citation_journal_title"  content="Slovjani.info">
    <meta name="citation_journal_issn"  content="ISSN 2570-7108 (print), ISSN 2570-7116 (on-line)">
    <meta name="citation_title" content="<? echo $article->nazvanje ?>">
    <meta name="citation_publication_date" content="<? echo $article->leto ?>">
    <meta name="citation_publication_year" content="<? echo $article->leto ?>">
    <meta name="citation_astract" content="<? echo $article->abstrakt ?>">
    <meta name="description" content="<? echo $article->abstrakt ?>">
    <meta name="citation_firstpage" content="<? echo $article->stranica_od ?>">
    <meta name="citation_lastpage" content="<? echo $article->stranica_do ?>">
    <meta name="citation_pdf_url" content="<? echo "{$url}/archive/{$article->leto}-{$article->izdanje}.pdf" ?>">

    <title><?echo $article->nazvanje?></title>

    <?
    foreach($keywords as $keyword) {
        ?>
        <meta name="citation_keywords" content="<? echo $keyword ?>">
        <?        
    }
    foreach($article->authors as $author) {
        ?>
        <meta name="citation_author" content="<? echo $author->polno_ime ?>">
        <meta name="citation_author_institution" content="<? echo $author->institucija ?>">
        <meta name="citation_author_email" content="<? echo $author->kontakt ?>">
        <?        
    }
    ?>
    
    </head>
    <body>
        <a href="<?echo $url?>/scholar/articles.php">back</a>
        <article itemscope itemtype="http://schema.org/ScholarlyArticle">
            <h1 itemprop="name"><? echo $article->nazvanje ?></h1>
            <span itemprop="headline"><?echo $article->nazvanje?></span>
            <span itemprop="datePublished"><?echo $article->leto?></span>
            <span itemprop="image">http://slovjani.info/images/logo-left.gif</span>
            <span itemprop="mainEntityOfPage">http://slovjani.info/</span>
            <dl>
            <dt>Publisher</dt>
            <dd>
                <span itemprop="publisher" itemscope itemtype="http://schema.org/Organization">
                    <span itemprop="name">Slovanská unie z. s.</span>
                    <span itemscope itemprop="logo" itemtype="https://schema.org/ImageObject">
                        <span itemprop="url" >http://slovjani.info/images/loga/su-mini.jpg</span>
                    </span>
                </span>
            </dd>
            <dt>Keywords</dt>
            <dd>
                <ul>
                    <?
                    foreach($keywords as $keyword) {
                        ?>
                        <li itemprop="keywords"><? echo $keyword ?></li>
                        <?
                    }
                    ?>
                </ul>
            </dd>
            <dt>Authors</dt>
            <?
            foreach($article->authors as $author) {
                ?>
                <dd itemscope itemtype="http://schema.org/Person" itemprop="author">
                    <dl>
                        <dt><? echo $author->polno_ime ?></dt>
                        <dd>
                            <span itemprop="name"><? echo $author->polno_ime ?></span>
                            <?
                            if ($author->institucija != "") {
                                ?>
                                <span itemprop="affiliation"><? echo $author->institucija ?></span>
                            <?}?>
                            <link itemprop="sameAs" href="http://orcid.org/<? echo $author->orcid ?>">
                            <?
                            if ($author->orcid != "") { ?>
                            <a href="http://orcid.org/<? echo $author->orcid ?>" itemprop="url">
                            <?} ?>
                                <h3 itemprop="givenName"><? echo $author->kratko_ime ?></h3>
                            <?
                            if ($author->orcid != "") { ?>
                                </a>
                            <?} ?>
                        </dd>
                    </dl>
                </dd>  
            <?
            } 
            ?>
            </dl>   
            <div>
                <h2>Abstract</h2>
                <div itemprop="abstract">
                    <p>
                        <? echo $article->abstrakt ?>
                    </p>
                </div>
            </div>

            <div itemprop="isPartOf" itemscope itemtype="http://schema.org/PublicationIssue">
                <div itemscope itemtype="http://schema.org/Periodical">
                    <h1 itemprop="name">Slovjani.info</h1>
                    <ul>
                        <li>ISSN: <span itemprop="issn">2570-7108</span></li>
                        <li>E-ISSN: <span itemprop="issn">2570-7116</span></li>
                    </ul>
                </div>
                <span itemprop="issueNumber"><? echo $article->izdanje ?></span>
                <span itemprop="pageStart"><? echo $article->stranica_od ?></span>
                <span itemprop="pageEnd"><?echo $article->stranica_do ?></span>
                <span itemprop="DatePublished"><?echo $article->leto ?></span>
                <span itemprop="publisher">Slovanská unie z. s.</span>
            </div>
        </article>
        
    <? 
        include('./article_citations.php');
    ?>
    <?//<button id="citations">Cite this paper</button>?>
    </body>
    </html>
<?

function get_lastname($author) {
    $name = explode($author->polmo_ime);
    return $name[sizeof($name) - 1];
}



?>